Bug 772418 - [abrt] nautilus-3.2.1-2.fc16: g_hash_table_iter_next: Process /usr/bin/nautilus was killed by signal 11 (SIGSEGV)
[abrt] nautilus-3.2.1-2.fc16: g_hash_table_iter_next: Process /usr/bin/nautil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:f1e9701cbb0436a1ecb5a57c9e9...
:
: 767982 767984 768679 773396 781868 783163 783617 787451 789640 795102 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-07 17:16 EST by Alexander Markelov
Modified: 2015-03-03 18:04 EST (History)
40 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:46:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (15.16 KB, text/plain)
2012-01-07 17:16 EST, Alexander Markelov
no flags Details
File: maps (41.96 KB, text/plain)
2012-01-07 17:16 EST, Alexander Markelov
no flags Details
File: backtrace (24.53 KB, text/plain)
2012-01-07 17:16 EST, Alexander Markelov
no flags Details
File: backtrace (26.17 KB, text/plain)
2012-03-11 06:19 EDT, Michel Duquaine
no flags Details
File: backtrace (24.61 KB, text/plain)
2012-03-11 15:18 EDT, Matthieu Pupat
no flags Details
File: backtrace (21.19 KB, text/plain)
2012-03-18 10:53 EDT, Andreas Winkelbauer
no flags Details
File: backtrace (22.17 KB, text/plain)
2012-03-28 08:14 EDT, Gilles J. Seguin
no flags Details
File: backtrace (20.54 KB, text/plain)
2012-04-03 15:47 EDT, udtduetl
no flags Details
File: backtrace (23.80 KB, text/plain)
2012-04-03 22:13 EDT, Kerry
no flags Details
File: backtrace (68.81 KB, text/plain)
2012-04-12 16:44 EDT, Scott Marshall
no flags Details
File: backtrace (26.25 KB, text/plain)
2012-04-14 10:14 EDT, justafedorauser
no flags Details
File: backtrace (19.83 KB, text/plain)
2012-04-27 11:23 EDT, Oleg Tsarev
no flags Details
File: backtrace (26.88 KB, text/plain)
2012-04-28 16:54 EDT, Martin
no flags Details
File: backtrace (16.61 KB, text/plain)
2012-05-02 03:33 EDT, Alexei Panov
no flags Details
File: backtrace (18.84 KB, text/plain)
2012-05-09 03:13 EDT, Roman Melihhov
no flags Details
File: backtrace (18.89 KB, text/plain)
2012-05-16 13:02 EDT, kotofos
no flags Details

  None (edit)
Description Alexander Markelov 2012-01-07 17:16:36 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        nautilus
crash_function: g_hash_table_iter_next
executable:     /usr/bin/nautilus
kernel:         3.1.6-1.fc16.i686
pid:            2532
pwd:            /home/scano
reason:         Process /usr/bin/nautilus was killed by signal 11 (SIGSEGV)
time:           Вс. 08 янв. 2012 02:05:23
uid:            1000
username:       scano

backtrace:      Text file, 25120 bytes
dso_list:       Text file, 15528 bytes
maps:           Text file, 42964 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=myPC
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=1d4785f9940276dc3a2593d40000000c-1325970926.165507-1157295032
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-ZwsfCe
:QTINC=/usr/lib/qt-3.3/include
:'IMSETTINGS_MODULE=X compose table'
:USER=scano
:USERNAME=scano
:MAIL=/var/spool/mail/scano
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/scano/.local/bin:/home/scano/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/scano
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1547
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/scano
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=scano
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-pW3RFQfGgf,guid=c4b62c34a8192bf0afd14c3a00000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/scano
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-scano-2ATwiS/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1551,unix/unix:/tmp/.ICE-unix/1551
:SSH_AUTH_SOCK=/tmp/keyring-ZwsfCe/ssh
:GPG_AGENT_INFO=/tmp/keyring-ZwsfCe/gpg:0:1
:LC_TIME=ru_RU.utf8
:LC_NUMERIC=ru_RU.utf8
:LC_MONETARY=ru_RU.utf8
:LC_MEASUREMENT=ru_RU.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1716-myPC-nautilus-3_TIME447296
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/nautilus.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2532

var_log_messages:
:Jan  6 20:48:47 myPC kernel: [ 8258.397640] nautilus[1956]: segfault at 4 ip 44e5c821 sp bfca8330 error 4 in libgobject-2.0.so.0.3000.1[44e46000+4c000]
:Jan  6 20:48:48 myPC abrt[6385]: Saved core dump of pid 1956 (/usr/bin/nautilus) to /var/spool/abrt/ccpp-2012-01-06-20:48:47-1956 (94392320 bytes)
:Jan  6 22:37:41 myPC abrt[9248]: Saved core dump of pid 6397 (/usr/bin/nautilus) to /var/spool/abrt/ccpp-2012-01-06-22:37:40-6397 (144130048 bytes)
:Jan  8 02:05:23 myPC kernel: [ 3031.180874] nautilus[2532]: segfault at 0 ip 44d24f7f sp bfd912f0 error 4 in libglib-2.0.so.0.3000.1[44cf4000+120000]
:Jan  8 02:05:24 myPC abrt[20498]: Saved core dump of pid 2532 (/usr/bin/nautilus) to /var/spool/abrt/ccpp-2012-01-08-02:05:23-2532 (70795264 bytes)
Comment 1 Alexander Markelov 2012-01-07 17:16:41 EST
Created attachment 551390 [details]
File: dso_list
Comment 2 Alexander Markelov 2012-01-07 17:16:44 EST
Created attachment 551391 [details]
File: maps
Comment 3 Alexander Markelov 2012-01-07 17:16:48 EST
Created attachment 551392 [details]
File: backtrace
Comment 4 Andreas Winkelbauer 2012-01-12 11:33:55 EST
browsing through the list of files crashed nautilus

rating: 4
Package: nautilus-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 5 Michel Duquaine 2012-03-11 06:19:18 EDT
splitted screen (F3) in nautilus
moved files from one panel to another


backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 6 Michel Duquaine 2012-03-11 06:19:24 EDT
Created attachment 569172 [details]
File: backtrace
Comment 7 Matthieu Pupat 2012-03-11 15:18:08 EDT
Doubled-clicked on a .wav file to play it

backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 8 Matthieu Pupat 2012-03-11 15:18:13 EDT
Created attachment 569207 [details]
File: backtrace
Comment 9 Andreas Winkelbauer 2012-03-18 10:53:47 EDT
holding shift and down arrow key crashed nautilus.

nautilus crashes frequently when browsing directories and selecting multiple files (via keyboard or mouse) after it has been used for a while.


backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 10 Andreas Winkelbauer 2012-03-18 10:53:55 EDT
Created attachment 570903 [details]
File: backtrace
Comment 11 abrt-bot 2012-03-20 13:21:44 EDT
*** Bug 787451 has been marked as a duplicate of this bug. ***
Comment 12 abrt-bot 2012-03-20 13:21:54 EDT
*** Bug 781868 has been marked as a duplicate of this bug. ***
Comment 13 abrt-bot 2012-03-20 13:22:05 EDT
*** Bug 795102 has been marked as a duplicate of this bug. ***
Comment 14 abrt-bot 2012-03-20 13:22:15 EDT
*** Bug 783617 has been marked as a duplicate of this bug. ***
Comment 15 abrt-bot 2012-03-20 13:22:26 EDT
*** Bug 773396 has been marked as a duplicate of this bug. ***
Comment 16 abrt-bot 2012-03-20 13:22:37 EDT
*** Bug 783163 has been marked as a duplicate of this bug. ***
Comment 17 abrt-bot 2012-03-20 13:22:48 EDT
*** Bug 767984 has been marked as a duplicate of this bug. ***
Comment 18 abrt-bot 2012-03-20 13:22:58 EDT
*** Bug 768679 has been marked as a duplicate of this bug. ***
Comment 19 abrt-bot 2012-03-20 13:23:07 EDT
*** Bug 789640 has been marked as a duplicate of this bug. ***
Comment 20 Gilles J. Seguin 2012-03-28 08:14:09 EDT
asking for properties of a torrent

backtrace_rating: 4
Package: transmission-gtk-2.42-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 21 Gilles J. Seguin 2012-03-28 08:14:17 EDT
Created attachment 573327 [details]
File: backtrace
Comment 22 abrt-bot 2012-03-30 11:15:11 EDT
Backtrace analysis of bugs across components suggests the actual bug might be in component glib2 or gtk3 instead of component nautilus. You might want to inspect the backtraces from the bugs listed below to find out the correct component.

Bugs which were found to be similar to this bug: 
  transmission: bug #767982, bug #768679

This comment is automatically generated.
Comment 23 abrt-bot 2012-03-30 11:15:25 EDT
*** Bug 767982 has been marked as a duplicate of this bug. ***
Comment 24 udtduetl 2012-04-03 15:47:04 EDT
I have opened .zip archive, opened some files from it (just to read them). After some time (minutes) I clicked on another file from archive, then file-roller crashed.

backtrace_rating: 4
Package: file-roller-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 25 udtduetl 2012-04-03 15:47:11 EDT
Created attachment 574937 [details]
File: backtrace
Comment 26 Kerry 2012-04-03 22:13:04 EDT
Selecting files (ctrl-click) in file list when it crashed

backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 27 Kerry 2012-04-03 22:13:09 EDT
Created attachment 575011 [details]
File: backtrace
Comment 28 Scott Marshall 2012-04-12 16:43:53 EDT
Playing an MP3 file, then browsing the list of plugins.
Selected the two "cover art" and the "IM status update" plugins, no problem, continue selecting.
Selected the "lyrics" plugin, whoops, music stops playing - SIGSEGV.


backtrace_rating: 4
Package: rhythmbox-2.95-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 29 Scott Marshall 2012-04-12 16:44:01 EDT
Created attachment 577164 [details]
File: backtrace
Comment 30 justafedorauser 2012-04-14 10:14:07 EDT
I was using Transmission to download a torrent, which was "stuck" with just two files missing from completion. I was able to locate the files elsewhere, and with the torrent still running (perhaps a mistake?), I copied the first file to the clipboard from its alternate location, then pasted it into its destination directory of the torrent (among many subdirectories), where it was previously missing (not pre-allocated). As soon as I issued the Paste command, nautilus was killed.

backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 31 justafedorauser 2012-04-14 10:14:14 EDT
Created attachment 577459 [details]
File: backtrace
Comment 32 Oleg Tsarev 2012-04-27 11:23:24 EDT
Clink on downloaded torrent (iso file)

backtrace_rating: 4
Package: transmission-gtk-2.42-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 33 Oleg Tsarev 2012-04-27 11:23:36 EDT
Created attachment 580791 [details]
File: backtrace
Comment 34 Martin 2012-04-28 16:53:54 EDT
Instlling the youtube plugin and activate it in totem.
from a fresh install this crashed totem.


backtrace_rating: 4
Package: totem-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 35 Martin 2012-04-28 16:54:03 EDT
Created attachment 581003 [details]
File: backtrace
Comment 36 Alexei Panov 2012-05-02 03:33:46 EDT
I've opened text file from zip-archive.

backtrace_rating: 4
Package: file-roller-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 37 Alexei Panov 2012-05-02 03:33:55 EDT
Created attachment 581532 [details]
File: backtrace
Comment 38 Roman Melihhov 2012-05-09 03:13:00 EDT
crashed while downloading from magnet link.

backtrace_rating: 4
Package: transmission-gtk-2.42-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 39 Roman Melihhov 2012-05-09 03:13:11 EDT
Created attachment 583163 [details]
File: backtrace
Comment 40 kotofos 2012-05-16 13:02:18 EDT
search string "fm"

backtrace_rating: 4
Package: transmission-gtk-2.42-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 41 kotofos 2012-05-16 13:02:31 EDT
Created attachment 585019 [details]
File: backtrace
Comment 42 pete martin 2012-06-06 09:50:05 EDT
double clicked a torrent to look at the files and it crashed

backtrace_rating: 4
Package: transmission-gtk-2.42-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 43 Dan Ziemba 2012-06-27 18:03:03 EDT
Had two windows open, one containing two tabs.  On of those tabs was an sftp connection to a server on the local network.  Nautilus suddenly closed when right clicking with two files selected in the sftp tab.

backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 44 Mark Locascio 2012-07-11 11:46:11 EDT
All I did was delete a file in Nautilus using ctrl+delete. As soon as I did that, Nautilus crashed.

backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 45 Flos Lonicerae 2012-07-22 06:58:40 EDT
1. single click on different file or folder items quickly

backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 46 Dan Ziemba 2012-10-09 00:14:57 EDT
Added torrent with magnet link, others were already running or paused.  In new torrent's options, unchecked 'Honor global limits' then checked 'Limit upload speed'.  Closed options and crash occured seconds later.

backtrace_rating: 4
Package: transmission-gtk-2.42-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 47 wallyk 2012-10-13 20:37:24 EDT
Had 2 nautilus windows open, comparing to see if all files copied from SD card.
One pane was scrolled to bottom so I was leaning on the up arrow key and waiting for it to get to the top.


backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 48 Dan Ziemba 2012-10-24 02:34:06 EDT
Had nautilus window open for hours, then clicked a folder in it causing instant crash.

backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 49 Bart 2012-12-15 07:57:17 EST
I was looking at files in nautilus /home/bart/Music, this was before I called someone using skype.

backtrace_rating: 4
Package: nautilus-3.2.1-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 50 Fedora End Of Life 2013-01-16 12:49:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 51 Fedora End Of Life 2013-02-13 17:46:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.